Index: /branches/2.2/reports/inc/class.uireports_logon.inc.php
===================================================================
--- /branches/2.2/reports/inc/class.uireports_logon.inc.php	(revision 3666)
+++ /branches/2.2/reports/inc/class.uireports_logon.inc.php	(revision 3903)
@@ -909,5 +909,5 @@
 				'th_bg'			=> $GLOBALS['phpgw_info']['theme']['th_bg'],
 				'nome_usuario' 	=> $nome_usuario,				
-				'back_url'		=>  "<form name='formlog' method='POST' action='../index.php?menuaction=reports.uireports_logon.report_logon_group_setor_print'>
+				'back_url'		=>  "<form name='formlog' method='POST' action='./index.php?menuaction=reports.uireports_logon.report_logon_group_setor_print'>
 				<input type='hidden' name='setor' value='$grouplist'>
 				<input type='hidden' name='organizacao' value='$organizacao'>
Index: /branches/2.2/reports/templates/default/report_maillists_group_print.tpl
===================================================================
--- /branches/2.2/reports/templates/default/report_maillists_group_print.tpl	(revision 3666)
+++ /branches/2.2/reports/templates/default/report_maillists_group_print.tpl	(revision 3903)
@@ -65,5 +65,5 @@
 			  <td colspan="2" align="left">
 			  	<div align="right" style="float:right">
-					<form name="back" method="post" action="../index.php?menuaction=reports.uireports_maillists.report_maillists_group">
+					<form name="back" method="post" action="./index.php?menuaction=reports.uireports_maillists.report_maillists_group">
 			  	    	<input type="hidden" name="organizacaodn" value="{organizacaodn}">
 			  	    	<input type="button" value="{lang_back}" onClick="document.back.submit()">
Index: /branches/2.2/reports/templates/default/report_users_group_print.tpl
===================================================================
--- /branches/2.2/reports/templates/default/report_users_group_print.tpl	(revision 3666)
+++ /branches/2.2/reports/templates/default/report_users_group_print.tpl	(revision 3903)
@@ -65,5 +65,5 @@
 			  <td colspan="2" align="left">
 			  	<div align="right" style="float:right">
-					<form name="back" method="post" action="../index.php?menuaction=reports.uireports_users.report_users_group">
+					<form name="back" method="post" action="./index.php?menuaction=reports.uireports_users.report_users_group">
 			  	    	<input type="hidden" name="organizacaodn" value="{organizacaodn}">
 			  	    	<input type="button" value="{lang_back}" onClick="document.back.submit()">
Index: /branches/2.2/reports/templates/default/report_usersgroups_group_print.tpl
===================================================================
--- /branches/2.2/reports/templates/default/report_usersgroups_group_print.tpl	(revision 3666)
+++ /branches/2.2/reports/templates/default/report_usersgroups_group_print.tpl	(revision 3903)
@@ -65,5 +65,5 @@
 			  <td colspan="2" align="left">
 			  	<div align="right" style="float:right">
-					<form name="back" method="post" action="../index.php?menuaction=reports.uireports_usersgroups.report_usersgroups_group">
+					<form name="back" method="post" action="./index.php?menuaction=reports.uireports_usersgroups.report_usersgroups_group">
 			  	    	<input type="hidden" name="organizacaodn" value="{organizacaodn}">
 			  	    	<input type="button" value="{lang_back}" onClick="document.back.submit()">
Index: /branches/2.2/reports/templates/default/report_logon_group.tpl
===================================================================
--- /branches/2.2/reports/templates/default/report_logon_group.tpl	(revision 3666)
+++ /branches/2.2/reports/templates/default/report_logon_group.tpl	(revision 3903)
@@ -49,5 +49,5 @@
     <tr>
       <td align="left">
-	  <form method="POST" action="../index.php?menuaction=reports.uireports_logon.report_logon_group">
+	  <form method="POST" action="./index.php?menuaction=reports.uireports_logon.report_logon_group">
   {lang_search}:
       <select name="organizacaodn">
@@ -64,10 +64,10 @@
  <div align="center">
   <table border="0" width="90%">
-	<form  name="org" method="POST" action="../index.php?menuaction=reports.uireports_logon.report_logon_group_setor_print"  onSubmit="javascript:return valida(this);">
+	<form  name="org" method="POST" action="./index.php?menuaction=reports.uireports_logon.report_logon_group_setor_print"  onSubmit="javascript:return valida(this);">
    <tr bgcolor="{th_bg}">
      <td colspan="3">
 		 <div id="div_nacesso1" style="position: absolute; visibility: hidden; width: 264px; height: 226px; top: 144px; left: 380px; background-color: rgb(238, 238, 238); 	border: 2px solid #999999; z-index: 62; cursor: auto;">
 			<span style="position: relative; width:257px; font-weight: bold; color: #0000FF; z-index: 1; background-color:#CCCCCC" class="undefined">
-				&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Números de dias sem acesso&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<img src="../../phpgwapi/images/winclose.gif" style="" onClick="document.getElementById('div_nacesso1').style.display = 'none';">
+				&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Números de dias sem acesso&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<img src="./phpgwapi/images/winclose.gif" style="" onClick="document.getElementById('div_nacesso1').style.display = 'none';">
 			</span>
 			<span style="position: absolute; top: 25px; left: 5px; text-align: left; border: 0px solid rgb(153, 153, 153); width: 252px; height: 125px;" id="texto1">
@@ -129,9 +129,9 @@
 <!-- BEGIN row -->
    <tr bgcolor="{tr_color}">
-<form name="{formname}" method="POST" action="../index.php?menuaction=reports.uireports_logon.report_logon_group_setor_print" onSubmit="javascript:return valida(this);">
+<form name="{formname}" method="POST" action="./index.php?menuaction=reports.uireports_logon.report_logon_group_setor_print" onSubmit="javascript:return valida(this);">
     <td width="30%">
 		 <div id="{div_nacesso}" style="position: absolute; visibility: hidden; width: 264px; height: 226px; top: 144px; left: 380px; background-color: rgb(238, 238, 238); 	border: 2px solid #999999; z-index: 62; cursor: auto;">
 			<span style="position: relative; width:257px; font-weight: bold; color: #0000FF; z-index: 1; background-color:#CCCCCC" class="undefined">
-				&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Números de dias sem acesso&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<img src="../../phpgwapi/images/winclose.gif" style="" onClick="document.getElementById('{div_nacesso}').style.display = 'none';">
+				&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Números de dias sem acesso&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<img src="./phpgwapi/images/winclose.gif" style="" onClick="document.getElementById('{div_nacesso}').style.display = 'none';">
 			</span>
 			<span style="position: absolute; top: 25px; left: 5px; text-align: left; border: 0px solid rgb(153, 153, 153); width: 252px; height: 125px;" id="texto1">
Index: /branches/2.2/reports/templates/default/report_cota_group.tpl
===================================================================
--- /branches/2.2/reports/templates/default/report_cota_group.tpl	(revision 3666)
+++ /branches/2.2/reports/templates/default/report_cota_group.tpl	(revision 3903)
@@ -20,5 +20,5 @@
  	 </tr>
     <tr>
-      <td align="left"><form method="POST" action="../index.php?menuaction=reports.uireports_cota.report_cota_group">
+      <td align="left"><form method="POST" action="./index.php?menuaction=reports.uireports_cota.report_cota_group">
   {lang_search}:
       <select name="organizacaodn">
@@ -36,5 +36,5 @@
   <table border="0" width="90%">
    <tr>
-	<form  name="org" method="POST" action="../index.php?menuaction=reports.uireports_cota.report_cota_group_setor_print">
+	<form  name="org" method="POST" action="./index.php?menuaction=reports.uireports_cota.report_cota_group_setor_print">
     	<td width="89%">
 			<div align="center">
@@ -82,5 +82,5 @@
 <!-- BEGIN row -->
    <tr bgcolor="{tr_color}">
-<form name="{formname}" method="POST" action="../index.php?menuaction=reports.uireports_cota.report_cota_group_setor_print">
+<form name="{formname}" method="POST" action="./index.php?menuaction=reports.uireports_cota.report_cota_group_setor_print">
     <td width="30%">	  <div onClick="{formsubmit}">
 			<a href="#">{sector_name}</a>
Index: /branches/2.2/reports/templates/default/report_logon_group_print.tpl
===================================================================
--- /branches/2.2/reports/templates/default/report_logon_group_print.tpl	(revision 3666)
+++ /branches/2.2/reports/templates/default/report_logon_group_print.tpl	(revision 3903)
@@ -65,5 +65,5 @@
 			  <td colspan="2" align="left">
 			  	<div align="right" style="float:right">
-					<form name="back" method="post" action="../index.php?menuaction=reports.uireports_logon.report_logon_group">
+					<form name="back" method="post" action="./index.php?menuaction=reports.uireports_logon.report_logon_group">
 			  	    	<input type="hidden" name="organizacaodn" value="{organizacaodn}">
 			  	    	<input type="button" value="{lang_back}" onClick="document.back.submit()">
@@ -136,5 +136,5 @@
 <!-- BEGIN row -->
 	<tr bgcolor="{tr_color}">
-		<form method="post" name="{formname}" action="../index.php?menuaction=reports.uireports_logon.show_access" >
+		<form method="post" name="{formname}" action="./index.php?menuaction=reports.uireports_logon.show_access" >
 		<td>{row_loginid}</td>
 		<td>
Index: /branches/2.2/reports/templates/default/report_maillists_group.tpl
===================================================================
--- /branches/2.2/reports/templates/default/report_maillists_group.tpl	(revision 3666)
+++ /branches/2.2/reports/templates/default/report_maillists_group.tpl	(revision 3903)
@@ -19,5 +19,5 @@
  	 </tr>
     <tr>
-      <td align="left"><form method="POST" action="../index.php?menuaction=reports.uireports_maillists.report_maillists_group">
+      <td align="left"><form method="POST" action="./index.php?menuaction=reports.uireports_maillists.report_maillists_group">
   {lang_search}:
       <select name="organizacaodn">
@@ -35,5 +35,5 @@
   <table border="0" width="90%">
    <tr>
-	<form  name="org" method="POST" action="../index.php?menuaction=reports.uireports_maillists.report_maillists_group_print">
+	<form  name="org" method="POST" action="./index.php?menuaction=reports.uireports_maillists.report_maillists_group_print">
     	<td width="89%">
 			<div align="center">
@@ -81,5 +81,5 @@
 <!-- BEGIN row -->
    <tr bgcolor="{tr_color}">
-<form name="{formname}" method="POST" action="../index.php?menuaction=reports.uireports_maillists.report_maillists_group_print">
+<form name="{formname}" method="POST" action="./index.php?menuaction=reports.uireports_maillists.report_maillists_group_print">
     <td width="30%">
 		<div onClick="{formsubmit}">
Index: /branches/2.2/reports/templates/default/report_users_group.tpl
===================================================================
--- /branches/2.2/reports/templates/default/report_users_group.tpl	(revision 3666)
+++ /branches/2.2/reports/templates/default/report_users_group.tpl	(revision 3903)
@@ -19,5 +19,5 @@
  	 </tr>
     <tr>
-      <td align="left"><form method="POST" action="../index.php?menuaction=reports.uireports_users.report_users_group">
+      <td align="left"><form method="POST" action="./index.php?menuaction=reports.uireports_users.report_users_group">
   {lang_search}:
       <select name="organizacaodn">
@@ -35,5 +35,5 @@
   <table border="0" width="90%">
    <tr>
-	<form  name="org" method="POST" action="../index.php?menuaction=reports.uireports_users.report_users_group_setor_print">
+	<form  name="org" method="POST" action="./index.php?menuaction=reports.uireports_users.report_users_group_setor_print">
     	<td width="89%">
 			<div align="center">
@@ -81,5 +81,5 @@
 <!-- BEGIN row -->
    <tr bgcolor="{tr_color}">
-<form name="{formname}" method="POST" action="../index.php?menuaction=reports.uireports_users.report_users_group_setor_print">
+<form name="{formname}" method="POST" action="./index.php?menuaction=reports.uireports_users.report_users_group_setor_print">
     <td width="30%">
 		<div onClick="{formsubmit}">
Index: /branches/2.2/reports/templates/default/report_usersgroups_group.tpl
===================================================================
--- /branches/2.2/reports/templates/default/report_usersgroups_group.tpl	(revision 3666)
+++ /branches/2.2/reports/templates/default/report_usersgroups_group.tpl	(revision 3903)
@@ -19,5 +19,5 @@
  	 </tr>
     <tr>
-      <td align="left"><form method="POST" action="../index.php?menuaction=reports.uireports_usersgroups.report_usersgroups_group">
+      <td align="left"><form method="POST" action="./index.php?menuaction=reports.uireports_usersgroups.report_usersgroups_group">
   {lang_search}:
       <select name="organizacaodn">
@@ -35,5 +35,5 @@
   <table border="0" width="90%">
    <tr>
-	<form  name="org" method="POST" action="../index.php?menuaction=reports.uireports_usersgroups.report_usersgroups_group_print">
+	<form  name="org" method="POST" action="./index.php?menuaction=reports.uireports_usersgroups.report_usersgroups_group_print">
     	<td width="89%">
 			<div align="center">
@@ -81,5 +81,5 @@
 <!-- BEGIN row -->
    <tr bgcolor="{tr_color}">
-<form name="{formname}" method="POST" action="../index.php?menuaction=reports.uireports_usersgroups.report_usersgroups_group_print">
+<form name="{formname}" method="POST" action="./index.php?menuaction=reports.uireports_usersgroups.report_usersgroups_group_print">
     <td width="30%">
 		<div onClick="{formsubmit}">
Index: /branches/2.2/reports/templates/default/report_cota_group_print.tpl
===================================================================
--- /branches/2.2/reports/templates/default/report_cota_group_print.tpl	(revision 3666)
+++ /branches/2.2/reports/templates/default/report_cota_group_print.tpl	(revision 3903)
@@ -66,5 +66,5 @@
 			  <td colspan="2" align="left">
 			  	<div align="right" style="float:right">
-					<form name="back" method="post" action="../index.php?menuaction=reports.uireports_cota.report_cota_group">
+					<form name="back" method="post" action="./index.php?menuaction=reports.uireports_cota.report_cota_group">
 			  	    	<input type="hidden" name="organizacaodn" value="{organizacaodn}">
 			  	    	<input type="button" value="{lang_back}" onClick="document.back.submit()">