Index: /branches/2.2/expressoMail1_2/setup/phpgw_pt-br.lang
===================================================================
--- /branches/2.2/expressoMail1_2/setup/phpgw_pt-br.lang	(revision 3905)
+++ /branches/2.2/expressoMail1_2/setup/phpgw_pt-br.lang	(revision 3925)
@@ -249,4 +249,5 @@
 Install Offline	expressoMail1_2	pt-br	Instalar offline
 in this message	expressoMail1_2	pt-br	na mensagem
+Invalid date on field %1	expressoMail1_2	pt-br	Data inválida no campo '%1'
 Invalid signature	expressoMail1_2	pt-br	Erro indeterminado: Não foi possível validar a assinatura digital da mensagem.
 italic	expressoMail1_2	pt-br	Italico
Index: /branches/2.2/expressoMail1_2/js/search.js
===================================================================
--- /branches/2.2/expressoMail1_2/js/search.js	(revision 3852)
+++ /branches/2.2/expressoMail1_2/js/search.js	(revision 3925)
@@ -135,14 +135,14 @@
 						+ '	<br style="margin-bottom:30px"/>'
                         + '     <label>'+get_lang("Since Date")+':</label>'
-                        + '     <input style="margin-left: 6px;" type="text" id="since_date" size="8">'
+                        + '     <input style="margin-left: 6px;" type="text" id="since_date" size="8" maxlength="10" onkeypress="return dateMask(this, event);">'
                         + '     <img id="since_date-trigger" src="../phpgwapi/templates/default/images/datepopup.gif" title="'+get_lang("Select Date")+'" style="cursor:pointer; cursor:hand;"/>'
                         + '     <label style="margin-left: 20px;">'+get_lang('Before Date')+':</label>'
-                        + '     <input style="margin-left: 6px;" type="text" id="before_date" size="8">'
+                        + '     <input style="margin-left: 6px;" type="text" id="before_date" size="8" maxlength="10" onkeypress="return dateMask(this, event);">'
                         + '     <img id="before_date-trigger" src="../phpgwapi/templates/default/images/datepopup.gif" title="'+get_lang("Select Date")+'" style="cursor:pointer; cursor:hand;"/>'
                         + '     <br style="margin-bottom:15px"/>'
 
                         + '     <label>'+get_lang('On Date')+':</label>'
-                        + '     <input style="margin-left: 6px;" type="text" id="on_date" size="8">'
-                        + '     <img style="margin-right: -8px" id="on_date-trigger" src="../phpgwapi/templates/default/images/datepopup.gif" title="'+get_lang("Select Date")+'" style="cursor:pointer; cursor:hand;"/>&nbsp;&nbsp;</spam>'
+                        + '     <input style="margin-left: 6px;" type="text" id="on_date" size="8" maxlength="10" onkeypress="return dateMask(this, event);">'
+                        + '     <img style="margin-right: -8px" id="on_date-trigger" src="../phpgwapi/templates/default/images/datepopup.gif" title="'+get_lang("Select Date")+'" style="cursor:pointer; cursor:hand;"/><span>&nbsp;&nbsp;</span>'
                         + '     <br style="margin-bottom:30px"/>'
 
@@ -450,8 +450,8 @@
 					td.id = "td_message_answered_"+uid_msg;
 					if (aux.flag.match('X'))
-						td1 = '<img src=templates/'+template+'/images/forwarded.gif title=Forwarded>';
+						td1 = '<img src=templates/'+template+'/images/forwarded.gif title="Encaminhada">';
 					else
 						if (aux.flag.match('A'))
-							td1 = '<img src=templates/'+template+'/images/answered.gif>';
+							td1 = '<img src=templates/'+template+'/images/answered.gif title="Respondida">';
 						else
 							td1 = '';
@@ -465,4 +465,5 @@
 						add_className(tr, 'flagged_msg');
 						td.style.background = "url(templates/"+template+"/images/important.gif) no-repeat center";
+						td.title = "Importante";
 					}
 					else
@@ -931,5 +932,5 @@
                 else
                 {
-                	alert(get_lang('Invalid date on field %1'), get_lang('Since Date'));
+                	alert(get_lang('Invalid date on field %1', get_lang('Since Date')));
                 	return false;
                 }
@@ -944,5 +945,5 @@
                 else
                     {
-                        alert(get_lang('Invalid date on field %1'), get_lang('Before Date'));
+                        alert(get_lang('Invalid date on field %1', get_lang('Before Date')));
                         return false;
                     }
@@ -957,5 +958,5 @@
                 else
                 {
-                	alert(get_lang('Invalid date on field %1'), get_lang('On Date'));
+                	alert(get_lang('Invalid date on field %1', get_lang('On Date')));
                     return false;
                 }