Index: /branches/2.2/mobile/inc/class.ui_mobilemail.inc.php
===================================================================
--- /branches/2.2/mobile/inc/class.ui_mobilemail.inc.php	(revision 3923)
+++ /branches/2.2/mobile/inc/class.ui_mobilemail.inc.php	(revision 3935)
@@ -240,5 +240,5 @@
 				$operations["forward"]["link"] = "index.php?menuaction=mobile.ui_mobilemail.new_msg&msg_number=$msg_number&msg_folder=$msg_folder&type=forward";
 				$operations["forward"]["lang"] = lang("Forward");
-				$operations["reply"]["link"] = "index.php?menuaction=mobile.ui_mobilemail.new_msg&msg_number=$msg_number&msg_folder=$msg_folder";
+				$operations["reply"]["link"] = "index.php?menuaction=mobile.ui_mobilemail.new_msg&msg_number=$msg_number&msg_folder=$msg_folder&type=reply";
 				$operations["reply"]["lang"] = lang("Reply");
 				$operations["reply_all"]["link"] = "index.php?menuaction=mobile.ui_mobilemail.new_msg&msg_number=$msg_number&msg_folder=$msg_folder&type=reply_all";
@@ -701,4 +701,5 @@
 			$this->template->set_var('lang_add_history', lang("add history"));
 			$this->template->set_var("show_forward_attachment","none");
+			$this->template->set_var("show_check_add_history","none");
 			
 			if(isset($params["error_message"])) {
@@ -714,5 +715,5 @@
 				$this->template->set_var('check_important', ( ( $_POST['check_important'] ) ? "checked" : "" ) );
 				$this->template->set_var('check_read_confirmation', ( ( $_POST['check_read_confirmation'] )  ? "checked" : "" ) );
-				$this->template->set_var('check_add_history', ( ( $_POST['check_add_history'] )  ? "checked" : "" ) );
+				$this->template->set_var('check_add_history', ( ( $_POST['check_add_history'] )  ? "checked" : "" ) );				
 				
 				$GLOBALS['phpgw_info']['mobiletemplate']->set_error_msg($params["error_message"]);
@@ -736,5 +737,5 @@
 					if($msg['toaddress2']) $reply_to_all .= ','.$msg['toaddress2'];
 					if($msg['cc']) $reply_to_all .= ','.$msg['cc'];
-					if($msg['bcc']) $reply_to_all .= ','.$msg['bcc'];												
+					if($msg['bcc']) $reply_to_all .= ','.$msg['bcc'];
 					
 					$array_emails = explode(',',$reply_to_all);
@@ -759,5 +760,5 @@
 				else if($params['type']=="user_add"){
 					$this->template->set_var('input_to', $params['mobile_add_contact']['mobile_mail']);
-					$this->template->set_var('input_cc', $params['mobile_add_contact']['mobile_mail_cc']);					
+					$this->template->set_var('input_cc', $params['mobile_add_contact']['mobile_mail_cc']);
 					$this->template->set_var('subject', $params['mobile_add_contact']['subject_mail']);
 					$this->template->set_var('body_value', $params['mobile_add_contact']['body_mail']);
@@ -769,5 +770,5 @@
 					$this->template->set_var('msg_folder', $params['msg_folder']);
 					
-					$params["type"] = $params['mobile_add_contact']['type'];		
+					$params["type"] = $params['mobile_add_contact']['type'];
 				}
 				else if($params['type']=="forward"){
@@ -795,5 +796,4 @@
 						}
 					}
-						
 				}
 				else if($params['type']=="use_draft"){
@@ -805,5 +805,5 @@
 					$this->template->set_var('msg_folder', $_GET['msg_folder']);
 				}
-				else{
+				else if($params['type']=="reply"){
 					$this->template->set_var('from', $msg['toaddress2']);
 					$this->template->set_var('input_to', $msg['from']['email']);
@@ -813,6 +813,13 @@
 					$this->template->set_var('msg_number', $_GET['msg_number']);
 					$this->template->set_var('msg_folder', $_GET['msg_folder']);
-				}				
-			}
+				} else {
+					$this->template->set_var('input_to', "");
+					$this->template->set_var('input_cc', "");
+					$this->template->set_var('subject', "");
+				}
+			}
+			
+				if($params['type']=="reply" || $params['type']=="forward"  || $params['type']=="reply_all" )
+					$this->template->set_var("show_check_add_history","block");
 			
 			//tem que ser realizado no final, pois o tipo user_add é modificado para o tipo que o originou
Index: /branches/2.2/mobile/templates/default/new_msg.tpl
===================================================================
--- /branches/2.2/mobile/templates/default/new_msg.tpl	(revision 3907)
+++ /branches/2.2/mobile/templates/default/new_msg.tpl	(revision 3935)
@@ -58,5 +58,5 @@
 		<div class="limpar_div">&nbsp;<input type="checkbox" name="check_important" {check_important} />{lang_mark_as_important}</div>
 		<div class="limpar_div">&nbsp;<input type="checkbox" name="check_read_confirmation" {check_read_confirmation} />{lang_read_confirmation}</div>
-		<div class="limpar_div">&nbsp;<input type="checkbox" name="check_add_history" {check_add_history} />{lang_add_history}</div>
+		<div class="limpar_div" style="display:{show_check_add_history}">&nbsp;<input type="checkbox" name="check_add_history" {check_add_history} />{lang_add_history}</div>
 	</div>
 	