Index: anches/2.2/reports/inc/access_denied.php
===================================================================
--- /branches/2.2/reports/inc/access_denied.php	(revision 3471)
+++ 	(revision )
@@ -1,30 +1,0 @@
-<?php
-	/************************************************************************************\
-	* Expresso Administração                 			                                 *
-	* by Joao Alfredo Knopik Junior (joao.alfredo@gmail.com, jakjr@celepar.pr.gov.br)  	 *
-	* -----------------------------------------------------------------------------------*
-	*  This program is free software; you can redistribute it and/or modify it			 *
-	*  under the terms of the GNU General Public License as published by the			 *
-	*  Free Software Foundation; either version 2 of the License, or (at your			 *
-	*  option) any later version.														 *
-	\************************************************************************************/
-
-	$GLOBALS['phpgw_info'] = array();
-	$GLOBALS['phpgw_info']['flags']['currentapp'] = 'relatorio';
-	include('../../header.inc.php');
-
-	$template = CreateObject('phpgwapi.Template',PHPGW_APP_TPL);
-	$template->set_file(Array('expressoadmin' => 'access_denied.tpl'));
-	
-	$template->set_block('expressoadmin','main');
-	
-	$var = Array(
-		'lang_access_denied' => lang('You do not have access to this module') . '.',
-		'lang_back'	=> lang('Back'),
-		'back_url'	=> $GLOBALS['phpgw']->link('/relatorio/index.php')
-	);
-	$template->set_var($var);
-	
-	$template->pfp('out','main');
-	$GLOBALS['phpgw']->common->phpgw_footer();	
-?>
Index: anches/2.2/reports/inc/load_lang.php
===================================================================
--- /branches/2.2/reports/inc/load_lang.php	(revision 3471)
+++ 	(revision )
@@ -1,12 +1,0 @@
-<?php
-	$lang = array();
-	if (!empty($_SESSION['phpgw_info']['expressoAdmin']['lang']))
-	{
-		foreach($_SESSION['phpgw_info']['expressoAdmin']['lang'] as $message_id=>$content)
-		{
-			$lang[str_replace(" ", "_", (strtolower($message_id)) )] = $content;
-		}
-	}
-	echo serialize($lang);
-	exit;
-?>
Index: anches/2.2/reports/controller.php
===================================================================
--- /branches/2.2/reports/controller.php	(revision 3666)
+++ 	(revision )
@@ -1,79 +1,0 @@
-<?php
-if(!isset($GLOBALS['phpgw_info'])){
-        $GLOBALS['phpgw_info']['flags'] = array(
-                'currentapp' => 'reports',
-                'nonavbar'   => true,
-                'noheader'   => true
-        );
-}
-require_once '../header.session.inc.php';
-
-	//	Explode action from cExecuteForm function
-	$cExecuteFormReturn = false;
- 	if($_POST['_action']) { 		
- 		if($_FILES) {
- 			$count_files = $_POST['countFiles'];
-			$array_files = array(); 		
- 			for($idx = 1; $idx <= $count_files; $idx++) { 		
- 				if($_FILES['file_'.$idx] && !$_FILES['file_'.$idx]['error'])
- 					$array_files[] = $_FILES['file_'.$idx]; 					 
- 			}
- 			$_POST['FILES'] = $array_files;
- 		} 		  		
- 		list($app,$class,$method) = explode('.',@$_POST['_action']);
- 		$cExecuteFormReturn = true;
- 	}
- 	//	Explode action from cExecute function
- 	else if($_GET['action'])
-		list($app,$class,$method) = explode('.',@$_GET['action']);
-	// NO ACTION
-	else
-		return $_SESSION['response'] = 'false';
-	
-	// Load dinamically class file.
-	if($app == '$this')
-		$filename = 'inc/class.'.$class.'.inc.php';
-	else if( strpos($app, '$this/') !== false)
-	{
-		$filename = str_replace('$this/','',$app) . '.php';
-		include_once($filename);
-		exit;
-	}
-	else
-		$filename = '../'.$app.'/inc/class.'.$class.'.inc.php';
-		
-	include_once($filename);
-	
-	// Create new Object  (class loaded).	
-	$obj = new $class;
-	
-	// Prepare parameters for execution.	
-	$params = array();
-	
-	// If array $_POST is not null , the submit method is POST. 
-	if($_POST) {
-		$params = $_POST;
-	}
-	// If array $_POST is null , and the array $_GET > 1, the submit method is GET.
-	else if(count($_GET) > 1)	{		
-		array_shift($_GET);
-		$params = $_GET;
-	}
-
-	$result = array();
-	
-	
-	// if params is not empty, then class method with parameters.	
-	if($params)
-		$result = $obj -> $method($params);
-	else 		
-		$result = $obj -> $method();
-		
-	// Return result serialized.	
-	
-
-	if(!$cExecuteFormReturn)
-		echo serialize($result);
-	else
-		$_SESSION['response'] = $result;
-?>