Index: branches/2.2/reports/index.php
===================================================================
--- branches/2.2/reports/index.php	(revision 3666)
+++ branches/2.2/reports/index.php	(revision 3948)
@@ -9,35 +9,18 @@
 	*  option) any later version.														 *
 	\*************************************************************************************/
-
-	$debug = false;	
-	$time_start = microtime(true);
-
 	$GLOBALS['phpgw_info'] = array();
 	$GLOBALS['phpgw_info']['flags']['currentapp'] = 'reports';
 	include('../header.inc.php');
 
-	// Cria o objeto para mostrar as organizações
-	$functions	= CreateObject('reports.functions');	
-	
-	$nextmatchs = createobject('phpgwapi.nextmatchs');
-	
 	$c = CreateObject('phpgwapi.config','reports');
 	$c->read_repository();
-	
 	$current_config = $c->config_data;
-	$ldap_manager = CreateObject('contactcenter.bo_ldap_manager');
 	$boemailadmin	= CreateObject('emailadmin.bo');
 	$emailadmin_profile = $boemailadmin->getProfileList();
 	$_SESSION['phpgw_info']['expresso']['email_server'] = $boemailadmin->getProfile($emailadmin_profile[0]['profileID']);
-	$_SESSION['phpgw_info']['expresso']['user'] = $GLOBALS['phpgw_info']['user'];
-	$_SESSION['phpgw_info']['expresso']['server'] = $GLOBALS['phpgw_info']['server'];
-	$_SESSION['phpgw_info']['expresso']['cc_ldap_server'] = $ldap_manager ? $ldap_manager->srcs[1] : null;
-	$_SESSION['phpgw_info']['expresso']['expressoAdmin'] = $current_config;
-	$_SESSION['phpgw_info']['expresso']['global_denied_users'] = $GLOBALS['phpgw_info']['server']['global_denied_users'];
-	$_SESSION['phpgw_info']['expresso']['global_denied_groups'] = $GLOBALS['phpgw_info']['server']['global_denied_groups'];
 	
 	$template = CreateObject('phpgwapi.Template',PHPGW_APP_TPL);
-	$template->set_file(Array('expressoAdmin' => 'index.tpl'));
-	$template->set_block('expressoAdmin','body');	
+	$template->set_file(Array('reports' => 'index.tpl'));
+	$template->set_block('reports','body');	
 	
 	$var = Array(
@@ -53,26 +36,4 @@
 	$template->set_var($var);
 	$template->pfp('out','body');
-			
-	/* save lang and session */
-	if (empty($_SESSION['phpgw_info']['expressoAdmin']['lang']))
-	{
-		$_SESSION['phpgw_info']['expressoAdmin']['user']['preferences']['common']['lang'] = $GLOBALS['phpgw_info']['user']['preferences']['common']['lang'];
-		$fn = './setup/phpgw_'.$_SESSION['phpgw_info']['expressoAdmin']['user']['preferences']['common']['lang'].'.lang';
-		if (file_exists($fn))
-		{
-			$fp = fopen($fn,'r');
-			while ($data = fgets($fp,16000))
-			{
-				list($message_id,$app_name,$null,$content) = explode("\t",substr($data,0,-1));
-				$_SESSION['phpgw_info']['expressoAdmin']['lang'][$message_id] = $content;
-			}
-			fclose($fp);
-		}
-	}
-	
 	$GLOBALS['phpgw']->common->phpgw_footer();
-	
-	if($debug)
-		echo lang('Page was generated in %1 seconds',microtime(true) - $time_start);	
-
 ?>
Index: branches/2.2/reports/templates/default/index.tpl
===================================================================
--- branches/2.2/reports/templates/default/index.tpl	(revision 3917)
+++ branches/2.2/reports/templates/default/index.tpl	(revision 3948)
@@ -1,29 +1,3 @@
 <!-- BEGIN body -->
-<script language="javascript">
-<!--
-var Aberto = ""
-var Fechado = ""
-
-	function preload(){
-		if(document.images){
-			Aberto = new Image(10,7)
-			Fechado = new Image(10,7)
-			Aberto.src = "./templates/default/images/mais.png"
-			Fechado.src = "./templates/default/images/menos.png"	
-		}
-	}
-
-	function mostra(item,item2){
-		if (item.style.display=='none'){
-			item.style.display='block';
-			item2.src=Fechado.src	
-		}else{
-			item.style.display='none'
-			item2.src=Aberto.src
-		}
-	}	
-preload();
--->
-</script>
 <style type="text/css">
 <!--
@@ -37,11 +11,4 @@
 -->
 </style>
-
-<table width="90%%"  border="0" align="center">
-  <tr>
-    <td><div align="center" class="style1">{lang_rel_title}</div></td>
-  </tr>
-</table>
-
 <table width="90%" border="0" cellspacing="10" cellpadding="0" align="center">
 <!-- TODOS OS USUARIOS DO CONTEXTO