Index: /branches/2.2.0.1/calendar/setup/setup.inc.php
===================================================================
--- /branches/2.2.0.1/calendar/setup/setup.inc.php	(revision 3772)
+++ /branches/2.2.0.1/calendar/setup/setup.inc.php	(revision 3968)
@@ -13,5 +13,5 @@
 	$setup_info['calendar']['name']    = 'calendar';
 	$setup_info['calendar']['title']    = 'Calendar';
-	$setup_info['calendar']['version'] = '2.2.000';
+	$setup_info['calendar']['version'] = '2.2.003';
 	$setup_info['calendar']['app_order'] = 3;
 	$setup_info['calendar']['enable']  = 1;
Index: /branches/2.2.0.1/calendar/setup/tables_update.inc.php
===================================================================
--- /branches/2.2.0.1/calendar/setup/tables_update.inc.php	(revision 3966)
+++ /branches/2.2.0.1/calendar/setup/tables_update.inc.php	(revision 3968)
@@ -85,3 +85,11 @@
             $GLOBALS['phpgw_setup']->db->query("ALTER TABLE phpgw_cal ADD COLUMN attachment text");
         }
+
+	$test[] = '2.2.002';
+	function calendar_upgrade2_2_002()
+	{
+	    $GLOBALS['phpgw_setup']->db->query("ALTER TABLE phpgw_cal ADD COLUMN alter_by varchar(160)");
+	    $GLOBALS['setup_info']['calendar']['currentver'] = '2.2.003';
+	    return $GLOBALS['setup_info']['calendar']['currentver'];
+	}
 ?>
Index: /branches/2.2.0.1/calendar/inc/class.bocustom_fields.inc.php
===================================================================
--- /branches/2.2.0.1/calendar/inc/class.bocustom_fields.inc.php	(revision 3966)
+++ /branches/2.2.0.1/calendar/inc/class.bocustom_fields.inc.php	(revision 3968)
@@ -32,4 +32,5 @@
 			'alarm'       => 'Alarm',
 			'recure_type' => 'Repetition',
+			'alter_by'   =>  'Alter by',
                         'attachment' => 'attachment'
 		);
Index: /branches/2.2.0.1/calendar/inc/class.bocalendar.inc.php
===================================================================
--- /branches/2.2.0.1/calendar/inc/class.bocalendar.inc.php	(revision 3966)
+++ /branches/2.2.0.1/calendar/inc/class.bocalendar.inc.php	(revision 3968)
@@ -3962,4 +3962,9 @@
                         );
 
+			$var['alter_by'] = Array(
+                                'field'	=> $this->translate('Alter by'),
+                                'data'	=> $event['alter_by']
+                        );
+
 			$var['access'] = Array(
 				'field'	=> lang('Access'),
Index: /branches/2.2.0.1/calendar/inc/class.socalendar__.inc.php
===================================================================
--- /branches/2.2.0.1/calendar/inc/class.socalendar__.inc.php	(revision 3966)
+++ /branches/2.2.0.1/calendar/inc/class.socalendar__.inc.php	(revision 3968)
@@ -102,4 +102,9 @@
 		}
 
+		function set_alter_by($alter_by='')
+		{
+		    $this->add_attribute('alter_by',$alter_by);
+		}
+
                 function set_attachment($attachment='')
 		{
Index: /branches/2.2.0.1/calendar/inc/class.socalendar_sql.inc.php
===================================================================
--- /branches/2.2.0.1/calendar/inc/class.socalendar_sql.inc.php	(revision 3966)
+++ /branches/2.2.0.1/calendar/inc/class.socalendar_sql.inc.php	(revision 3968)
@@ -569,4 +569,5 @@
 				$this->set_title(stripslashes($GLOBALS['phpgw']->strip_html($this->stream->f('title'))));
 				$this->set_description(stripslashes($GLOBALS['phpgw']->strip_html($this->stream->f('description'))));
+				$this->set_alter_by(stripslashes($GLOBALS['phpgw']->strip_html($this->stream->f('alter_by'))));
                                 $this->set_attachment(stripslashes($GLOBALS['phpgw']->strip_html($this->stream->f('attachment'))));
 				$this->set_ex_participants(stripslashes($GLOBALS['phpgw']->strip_html($this->stream->f('ex_participants'))));
@@ -978,4 +979,5 @@
 					. "description='".$this->stream->db_addslashes($event['description'])."', "
                                         . "attachment='".$this->stream->db_addslashes(serialize($event['attachment']))."', "
+					. "alter_by='".$this->stream->db_addslashes($GLOBALS['phpgw_info']['user']['fullname'])."', "
 					. "ex_participants='".$this->stream->db_addslashes($event['ex_participants'])."', "
 					. "location='".$this->stream->db_addslashes($event['location'])."', "