Index: /branches/2.2.0.1/contactcenter/inc/class.so_group.inc.php
===================================================================
--- /branches/2.2.0.1/contactcenter/inc/class.so_group.inc.php	(revision 3702)
+++ /branches/2.2.0.1/contactcenter/inc/class.so_group.inc.php	(revision 3970)
@@ -347,5 +347,5 @@
 		function verifyContact($email)
 		{
-			$query = 'select A.names_ordered from phpgw_cc_contact A,'.
+			$query = 'select A.names_ordered, C.id_connection from phpgw_cc_contact A,'.
 			'phpgw_cc_contact_conns B, phpgw_cc_connections C where '.
 			'A.id_contact = B.id_contact and B.id_connection = C.id_connection '.
@@ -363,5 +363,6 @@
 			{
 				$row = $this->db->row();
-				$return[] =  $row['names_ordered']; 
+				$return[] =  $row['names_ordered'];
+                                $return[] =  $row['id_connection'];
 			}
 			
Index: /branches/2.2.0.1/contactcenter/inc/class.bo_catalog_group_catalog.inc.php
===================================================================
--- /branches/2.2.0.1/contactcenter/inc/class.bo_catalog_group_catalog.inc.php	(revision 3211)
+++ /branches/2.2.0.1/contactcenter/inc/class.bo_catalog_group_catalog.inc.php	(revision 3970)
@@ -71,5 +71,5 @@
 		
 		*/
-		function find($what, $rules, $other, $recursive=false)
+		function find($what, $rules, $other, $area=false, $recursive=false)
 		{
 			if ($ldap_info = $this->catalog['ldap'])
Index: /branches/2.2.0.1/contactcenter/inc/class.ui_api.inc.php
===================================================================
--- /branches/2.2.0.1/contactcenter/inc/class.ui_api.inc.php	(revision 1612)
+++ /branches/2.2.0.1/contactcenter/inc/class.ui_api.inc.php	(revision 3970)
@@ -417,4 +417,36 @@
 			return $template->get_var('out_QA');
 		}
+
+                function parseGroupOption($level, $name, $selected=false){
+
+                    $selected = $selected?'selected="selected"':'';
+                    $optionTemplate = '<option value="{level}" {selected}>{value}</option>';
+
+                    $optionTemplate = preg_replace('/\{level\}/', $level, $optionTemplate);
+                    $optionTemplate = preg_replace('/\{selected\}/', $selected, $optionTemplate);
+                    $optionTemplate = preg_replace('/\{value\}/', $name, $optionTemplate);
+
+                    return $optionTemplate;
+
+                }
+
+                function getCatalogItens($level='0', $parentName=false){
+                    $bo = CreateObject('contactcenter.bo_contactcenter');
+
+                    $options = '';
+
+                    $catalogTree = $bo->get_catalog_tree('0');
+                    foreach ($catalogTree as $id => $catalog)
+                    {
+                        if ($level.'.'.$id !== '0.1')
+                        {
+                            $option = $level.'.'.$id === '0.0'?
+                                $this->parseGroupOption($level.'.'.$id, $catalog['name'], true):
+                                $this->parseGroupOption($level.'.'.$id, $catalog['name']);
+                            $options .= $option;
+                        }
+                    }
+                    return $options;
+                }
 		
 		function get_add_group()
@@ -424,4 +456,6 @@
 
 			$template->set_file(array('addGroup' => 'addGroup.tpl'));
+
+                        $catalogOptions = $this->getCatalogItens();
 			
 			if (!$this->commons_loaded)
@@ -435,7 +469,10 @@
 				$template->set_var('cc_api', '');
 			}
+
+                        $template->set_var('ccAGSourceSelectContent', $catalogOptions);
+                        $template->set_var('ccAGSearch', lang('Search'));
 			
 			$template->set_var('ccAGFile', $GLOBALS['phpgw_info']['server']['webserver_url'] . '/contactcenter/js/ccAddGroup.js');			
-			$template->set_var('ccAGWinHeightIE', '285');			
+			$template->set_var('ccAGWinHeightIE', '340');
 			$template->set_var('ccAGWinHeightMO', '335');
 			
Index: /branches/2.2.0.1/contactcenter/inc/class.ui_data.inc.php
===================================================================
--- /branches/2.2.0.1/contactcenter/inc/class.ui_data.inc.php	(revision 3795)
+++ /branches/2.2.0.1/contactcenter/inc/class.ui_data.inc.php	(revision 3970)
@@ -410,5 +410,10 @@
 					$ids = false;
 					$ids = $this->search($_GET['data']);
-					return $this->get_cards_data('search', '1', $ids);
+					$data = unserialize($_GET['data']);
+                                        $dontPaginate = false;
+                                        if (isset($data['ccAddGroup'])){
+                                            $dontPaginate = true;
+                                        }
+					return $this->get_cards_data('search', '1', $ids, $dontPaginate);
 
 				case 'email_win':
@@ -479,5 +484,5 @@
 
 		*/
-		function set_catalog($id_catalog)
+		function set_catalog($id_catalog, $echo=true)
 		{
 			$id_catalog = str_replace('\\"', '"', $id_catalog);
@@ -515,11 +520,24 @@
 				}
 
-				echo serialize(array(
-					'status' => 'ok',
-					'catalog' => $catalog_info['class'],
-					'external' => $catalog_info['external']?true:false,
-                                        'resetCC_actual_letter' => $resetCC_actual_letter,
-					'perms'  => $perms
-				));
+                                if ($echo)
+                                {
+                                    echo serialize(array(
+                                            'status' => 'ok',
+                                            'catalog' => $catalog_info['class'],
+                                            'external' => $catalog_info['external']?true:false,
+                                            'resetCC_actual_letter' => $resetCC_actual_letter,
+                                            'perms'  => $perms
+                                    ));
+                                }
+                                else
+                                    {
+                                        return serialize(array(
+                                            'status' => 'ok',
+                                            'catalog' => $catalog_info['class'],
+                                            'external' => $catalog_info['external']?true:false,
+                                            'resetCC_actual_letter' => $resetCC_actual_letter,
+                                            'perms'  => $perms
+                                        ));
+                                    }
 
 				return;
@@ -678,5 +696,5 @@
 				using the new array 'msg','status','data' schema.
 		*/
-		function get_cards_data($letter, $page, $ids)
+		function get_cards_data($letter, $page, $ids, $dontPaginate = false)
 		{
 			if( $ids )
@@ -1203,5 +1221,5 @@
 				{
 					//echo 'N_entries: '.$n_entries.'<br>';
-					$this->page_info['n_pages'] = ceil($n_entries/($this->page_info['n_cards'] ? $this->page_info['n_cards'] : 1));
+					$this->page_info['n_pages'] = ceil(($n_entries/($this->page_info['n_cards']) && !$dontPaginate ? $this->page_info['n_cards'] : 1));
 				}
 				else
@@ -1273,5 +1291,5 @@
 					$this->page_info['actual_letter']  = $letter;
 					$this->page_info['actual_entries'] = $ids;
-					$this->page_info['n_pages'] = ceil(count($ids)/($this->page_info['n_cards'] ? $this->page_info['n_cards'] : 1));
+					$this->page_info['n_pages'] = ceil((count($ids)/($this->page_info['n_cards']) && !$dontPaginate ? $this->page_info['n_cards'] : 1));
 				}
 			}
@@ -1307,7 +1325,8 @@
 
 				//echo 'Page: '.$page.'<br>';
-				$id_i = (($page-1)*$this->page_info['n_cards']);
-				$id_f = $id_i + $this->page_info['n_cards'];
 				$n_entries = count($this->page_info['actual_entries']);
+                                $n_cards = $dontPaginate? $n_entries : $this->page_info['n_cards'];
+				$id_i = (($page-1)*$n_cards);
+				$id_f = $id_i + $n_cards;
 
 				//echo 'ID_I: '.$id_i.'<br>';
@@ -1583,4 +1602,5 @@
 				$final[8] = $this->page_info['actual_catalog']['class'];
 				$final[9] = $count;
+                                $final[11] = $this->bo->catalog_level;
 
 
@@ -1827,5 +1847,5 @@
 			@param string $sdata Serialized data
 		*/
-		function quick_add($sdata)
+		function quick_add($sdata, $echo=true)
 		{
 
@@ -1839,10 +1859,20 @@
 			if (!$tdata)
 			{
+                            if ($echo)
+                            {
 				echo serialize(array(
 					'msg'    => lang('Problems on adding your Contact. Invalid Data came from client. No Contact added!'),
 					'status' => 'abort'
 				));
-
+                            
 				return;
+                            }
+                            else
+                                {
+                                    return serialize(array(
+					'msg'    => lang('Problems on adding your Contact. Invalid Data came from client. No Contact added!'),
+					'status' => 'abort'
+                                    ));
+                                }
 			}
 
@@ -1855,4 +1885,6 @@
 				$str_contact = "\r\n - ".implode("\r\n - ",$contact);
 
+                            if ($echo)
+                            {
 				echo serialize(array(
 					'msg'    => lang('Problems on adding your Contact. The email "%1" already exists in: %2',$tdata[4], $str_contact),
@@ -1861,4 +1893,13 @@
 
 				return;
+                            }
+                            else
+                                {
+                                    return serialize(array(
+					'msg'       => lang('Problems on adding your Contact. The email "%1" already exists in: %2',$tdata[4], $str_contact),
+					'status'    => 'alreadyExists',
+                                        'id_connection'  => $contact[1]
+                                    ));
+                                }
 			}
 
@@ -1873,19 +1914,41 @@
 			$boPeople = CreateObject('contactcenter.bo_people_catalog');
 
-			if ($boPeople ->quick_add($data))
-			{
-				$this->page_info['changed'] = true;
-
-				echo serialize(array(
-					'msg'    => lang('Entry added with success!'),
-					'status' => 'ok'
-				));
+			$result = $boPeople->quick_add($data);
+			if ($result)
+			{
+                            $this->page_info['changed'] = true;
+
+                            if ($echo)
+                            {
+                                echo serialize(array(
+                                    'msg'    => lang('Entry added with success!'),
+                                    'status' => 'ok'
+                                ));
+                            }
+                            else
+                                {
+                                    return serialize(array(
+                                        'msg'    => lang('Entry added with success!'),
+                                        'status' => 'ok',
+                                        'conn'   => $boPeople->get_connections($result)
+                                    ));
+                                }
 			}
 			else
 			{
-				echo serialize(array(
-					'msg'    => lang('Problems on adding your Contact. No Contact added!'),
-					'status' => 'error'
-				));
+                            if ($echo)
+                            {
+                                echo serialize(array(
+                                    'msg'    => lang('Problems on adding your Contact. No Contact added!'),
+                                    'status' => 'error'
+                                ));
+                            }
+                            else
+                                {
+                                    echo serialize(array(
+                                        'msg'    => lang('Problems on adding your Contact. No Contact added!'),
+                                        'status' => 'error'
+                                    ));
+                                }
 			}
 
@@ -1924,5 +1987,49 @@
 			$data['contact_in_list'] = $new_tdata[1];
 			$data['id_group'] = $new_tdata[2];
-
+                        $acumulatedErrors = '';
+
+                        $actualCatalog = $this->get_actual_catalog();
+                        for ($i = 0; $i < count($data['contact_in_list']); $i++)
+                        {
+                            if (preg_match('/ldap:.*:.*/', $data['contact_in_list'][$i])) // from ldap
+                            {
+                                list(, $level, $dn) = explode(':', $data['contact_in_list'][$i]);
+
+                                // pesquisa os dados, insere no catálogo e modifica
+                                // a entrada em $data['contact_in_list'][$i]
+                                $set_catalog = $this->set_catalog($level, false);
+                                $contact_data = unserialize($this->get_catalog_add_contact($dn, false));
+                                $tmp_contact[] = $contact_data[0][0];
+                                $tmp_contact[] = $contact_data[1][0];
+                                $tmp_contact[] = $contact_data[2][0];
+                                $tmp_contact[] = $contact_data[3][0];
+                                $tmp_contact[] = $contact_data[4][0];
+
+                                // Determinar o id_connection
+                                $id_contact = unserialize($this->quick_add(serialize($tmp_contact), false));
+
+                                switch ($id_contact['status'])
+                                {
+                                    case 'ok' :
+                                        foreach ($id_contact['conn'] as $connection)
+                                        {
+                                            if ($connection['id_type'] == 1)
+                                            {
+                                                $data['contact_in_list'][$i] = $connection['id_connection'];
+                                            }
+                                        }
+                                        break;
+
+                                    case 'alreadyExists': // if e-mail exists get their id_connection from people_catalog
+                                        $data['contact_in_list'][$i] = $id_contact['id_connection'];
+
+                                    default:
+                                        $acumulatedErrors += $id_contact['msg']."\n";
+                                }
+                                unset($tmp_contact);
+
+                            }
+                        }
+                        $set_catalog = $this->set_catalog($actualCatalog['data'], false); // retorna ao catálogo original.
 			$boGroup = CreateObject('contactcenter.bo_group_manager');
 			$id = $boGroup -> add_group($data);
@@ -1940,5 +2047,6 @@
 			{
 				echo serialize(array(
-					'msg'    => lang('Problems on adding your Group. Be sure that a group with this name do not exists'),
+					'msg'    => lang('Problems on adding your Contact. No Contact added!').
+                                            "\n".$acumulatedErrors,
 					'status' => 'error'
 				));
@@ -3456,5 +3564,5 @@
 		}
 
-		function get_catalog_add_contact($id){
+		function get_catalog_add_contact($id, $echo=true){
 
 			$array_participants = array();
@@ -3475,5 +3583,12 @@
 
 			ldap_close($ds);
-			echo serialize($array_participants);
+                        if ($echo)
+                        {
+                            echo serialize($array_participants);
+                        }
+                        else
+                            {
+                                return serialize($array_participants);
+                            }
 		}
 
Index: /branches/2.2.0.1/contactcenter/js/cc_tree.js
===================================================================
--- /branches/2.2.0.1/contactcenter/js/cc_tree.js	(revision 3333)
+++ /branches/2.2.0.1/contactcenter/js/cc_tree.js	(revision 3970)
@@ -49,4 +49,6 @@
 	ccCatalogTree.prototype.setCatalog = function(catalog) {
 		var _this = this;
+                var _catalog = catalog;
+
 		var handler = function (responseText)
 		{
@@ -67,4 +69,5 @@
 				return;
 			}
+                        _this.actualLevel = _catalog;
 
 			_this.catalog_perms = parseInt(data['perms']);
@@ -95,4 +98,6 @@
 	
 		var _this = this;
+                var _catalog = catalog;
+
 		var handler = function (responseText)
 		{
@@ -112,4 +117,5 @@
 				return;
 			}
+                        _this.actualLevel = _catalog;
 
 			_this.catalog_perms = parseInt(data['perms']);
Index: /branches/2.2.0.1/contactcenter/js/ccAddGroup.js
===================================================================
--- /branches/2.2.0.1/contactcenter/js/ccAddGroup.js	(revision 3348)
+++ /branches/2.2.0.1/contactcenter/js/ccAddGroup.js	(revision 3970)
@@ -213,6 +213,6 @@
 	cAddGroup.prototype.addUser = function(){
 
-		select = Element("contact_list");
-		select_in = this.contact_in_list;								
+		var select = Element("contact_list");
+		var select_in = this.contact_in_list;
 		
 		for (i = 0 ; i < select.length ; i++) {				
@@ -245,4 +245,178 @@
 	} 	
 
+        cAddGroup.prototype.setSelectedSourceLevel = function(sourceLevel)
+        {
+            var ccAGSourceSelect = Element('ccAGSourceSelect');
+            var selectedLevel = '';
+            for (i = 0; i < ccAGSourceSelect.length; i++)
+            {
+                if (ccAGSourceSelect[i].selected == true)
+                {
+                    selectedLevel = ccAGSourceSelect[i].value;
+                }
+            }
+
+            if (selectedLevel != sourceLevel)
+            {
+                for (i = 0; i < ccAGSourceSelect.length; i++)
+                {
+                    if (ccAGSourceSelect[i].value == sourceLevel)
+                    {
+                        ccAGSourceSelect[i].selected = true;
+                    }
+                }
+            }
+            this.setCatalog();
+        }
+
+        cAddGroup.prototype.loadPersonalContacts = function(){
+            handler = function(data)
+            {
+                if (data)
+                {
+                    data = unserialize(data);
+                    if (data.result == 'ok')
+                    {
+                        var options_contact_list = Element('span_contact_list');
+                        var select_contact_list = '<select id="contact_list" multiple name="contact_list[]" style="width:280px" size="10">';
+                        select_contact_list += data['contact_list'] + "</select>";
+                        options_contact_list.innerHTML = select_contact_list;
+                    }
+                    return;
+                }
+
+                alert(get_lang('Erro ao carregar contatos pessoais.'));
+
+
+            }
+
+            Connector.newRequest('cAddGroup.loadPersonalContacts', CC_url+'get_group', 'GET', handler);
+
+        }
+
+        cAddGroup.prototype.clearSourceList = function(){
+            var contact_list = Element("contact_list");
+            var options = contact_list.options;
+            for (j =0; j < options.length; j++) {
+                contact_list.options[j].selected = false;
+                contact_list.options[j--] = null;
+            }
+        }
+
+        // usar ui_data.get_cards_data('all', 1);
+        cAddGroup.prototype.search = function(){
+
+            var type = Element('cc_type_contact').value;
+
+            var data = new Array();
+            data['fields'] = new Array();
+
+            // never search groups
+            data['fields']['id']     = 'contact.id_contact';
+            data['fields']['search'] = 'contact.names_ordered';
+
+            var ccAGSearchTerm = Element('ccAGSearchTerm');
+
+            data['search_for'] = ccAGSearchTerm.value;
+            data['ccAddGroup'] = true;
+
+            var invalidChars = /[\%\?]/;
+            if(invalidChars.test(data['search_for']) || invalidChars.test(data['search_for_area'])){
+                showMessage(Element('cc_msg_err_invalid_serch').value);
+                return;
+            }
+
+            var search_for = data['search_for'].split(' ');
+            var greaterThan4 = false;
+            var use_length = v_min;
+
+            if (search_for.length == 1)
+            {
+                if (search_for[0].length == 0)
+                {
+                    search_for[0] = "*";
+                    data['search_for'] = "*";
+                    use_length = 1;
+                }
+            }
+
+            for (i = 0; i < search_for.length; i++)
+            {
+                if (search_for[i].length >= use_length)
+                {
+                    greaterThan4 = true;
+                }
+            }
+
+            if (!greaterThan4){
+                alert("Favor fazer a consulta com pelo menos " + v_min + " caracteres!");
+                return;
+            }
+
+            var handler = function(data)
+            {
+                data = unserialize(data);
+
+                if( !data )
+                    return false;
+                ccAddGroup.clearSourceList();
+                ccAGSearchTerm.value = '';
+                if (typeof(data) != 'object')
+                {
+                    showMessage(Element('cc_msg_err_contacting_server').value);
+                    return false;
+                }
+
+                if (data[3].length > 300)
+                {
+                    alert("Mais de 300 resultados foram retornados! \n Favor refinar sua busca.");
+
+                    return false;
+                }
+
+                var contact_list = Element('contact_list');
+                for (var i=0; i < data[3].length; i++)
+                {
+
+                   var item = data[3][i];
+                   var id = 'ldap:'+data[11]+':'+item[6];
+                   var option = document.createElement('OPTION');
+                   option.value = id;
+                   option.text = item[1]+' ('+item[4]+')';
+                   contact_list.options[contact_list.options.length] = option;
+                }
+
+            }
+
+            Connector.newRequest('ccAGSearch', CC_url+'search&data='+serialize(data), 'GET', handler);
+
+        }
+
+        cAddGroup.prototype.setCatalog = function(){
+            var select = Element('ccAGSourceSelect');
+            var catalogLevel = '0.0';
+            for (i = 0 ; i < select.length ; i++) {
+                if (select.options[i].selected)
+                {
+                    catalogLevel = select.options[i].value;
+                    break;
+                }
+
+            }
+            ccTree.select(catalogLevel);
+
+            if (catalogLevel == '0.0')
+            {
+                ccAddGroup.loadPersonalContacts();
+            }
+            else
+                {
+                   ccAddGroup.clearSourceList();
+                }
+
+            //eval(refresh);
+
+        }
+        
 	/* Build the Object */
 	var ccAddGroup ;
Index: /branches/2.2.0.1/contactcenter/js/cc.js
===================================================================
--- /branches/2.2.0.1/contactcenter/js/cc.js	(revision 3796)
+++ /branches/2.2.0.1/contactcenter/js/cc.js	(revision 3970)
@@ -424,4 +424,5 @@
 			return;
 		}
+                ccAddGroup.setSelectedSourceLevel(ccTree.actualLevel);
 		ccAddGroup.window.open();
 	};
Index: /branches/2.2.0.1/contactcenter/templates/classic/addGroup.tpl
===================================================================
--- /branches/2.2.0.1/contactcenter/templates/classic/addGroup.tpl	(revision 294)
+++ /branches/2.2.0.1/contactcenter/templates/classic/addGroup.tpl	(revision 3970)
@@ -21,8 +21,25 @@
 		<tr height="30">
 			<td  width="17%" valign="center" align="right" nowrap>{txt_name}:</td>
-			<td  valign="center" align="left">&nbsp;&nbsp;{title}</td>
+			<td  colspan="2" valign="center" align="left">&nbsp;&nbsp;{title}</td>
 		</tr>
- 	</table>			
-	<br><br>			
+
+            <br><br>
+
+            <tr height="30">
+                <td  width="17%" valign="center" align="right" nowrap>Fonte:</td>
+                <td  valign="center" align="center">
+                    &nbsp;<select id="ccAGSourceSelect" name="ccAGSourceSelect" onchange="ccAddGroup.setCatalog()">{ccAGSourceSelectContent}</select>
+                </td>
+                <td  valign="center" align="center">
+                    <input id="ccAGSearchTerm" name="ccAGSearchTerm" type="text" size="27" maxlength="50" />
+                </td>
+                <td id="ccAGSearchButton" valign="center" align="right">
+                    <input id="ccAGSearch" title="{ccAGSearch}" type="button" onclick="ccAddGroup.search();" value="{ccAGSearch}" />
+                </td>
+            </tr>
+        </table>
+
+        <br />
+        <br />	
 	<table border="0" cellpadding="0" cellspacing="0" width="95%">
 		<tr>
@@ -38,7 +55,7 @@
 			</td>
 			<td id="buttons" width="95" align="center">
-				<button type="button" onClick="ccAddGroup.addUser()"><img src="../phpgwapi/templates/celepar/images/add.png" style="vertical-align: middle;" >&nbsp;{txt_add}</button>
+				<button type="button" onClick="ccAddGroup.addUser()"><img src="../phpgwapi/templates/classic/images/add.png" style="vertical-align: middle;" >&nbsp;{txt_add}</button>
 				<br><br>
-				<button type="button" onClick="ccAddGroup.remUser()"><img src="../phpgwapi/templates/celepar/images/rem.png" style="vertical-align: middle;" >&nbsp;{txt_rem}</button> 
+				<button type="button" onClick="ccAddGroup.remUser()"><img src="../phpgwapi/templates/classic/images/rem.png" style="vertical-align: middle;" >&nbsp;{txt_rem}</button>
 			</td>
 			<td  align="left">
Index: /branches/2.2.0.1/contactcenter/templates/default/addGroup.tpl
===================================================================
--- /branches/2.2.0.1/contactcenter/templates/default/addGroup.tpl	(revision 1158)
+++ /branches/2.2.0.1/contactcenter/templates/default/addGroup.tpl	(revision 3970)
@@ -21,8 +21,25 @@
 		<tr height="30">
 			<td  width="17%" valign="center" align="right" nowrap>{txt_name}:</td>
-			<td  valign="center" align="left">&nbsp;&nbsp;{title}</td>
+			<td  colspan="2" valign="center" align="left">&nbsp;&nbsp;{title}</td>
 		</tr>
- 	</table>			
-	<br><br>			
+			
+	<br><br>
+
+        <tr height="30">
+                <td  width="17%" valign="center" align="right" nowrap>Fonte:</td>
+                <td  valign="center" align="center">
+                    &nbsp;<select id="ccAGSourceSelect" name="ccAGSourceSelect" onchange="ccAddGroup.setCatalog()">{ccAGSourceSelectContent}</select>
+                </td>
+                <td  valign="center" align="center">
+                    <input id="ccAGSearchTerm" name="ccAGSearchTerm" type="text" size="27" maxlength="50" />
+                </td>
+                <td id="ccAGSearchButton" valign="center" align="right">
+                    <input id="ccAGSearch" title="{ccAGSearch}" type="button" onclick="ccAddGroup.search();" value="{ccAGSearch}" />
+                </td>
+            </tr>
+        </table>
+
+        <br />
+        <br />
 	<table border="0" cellpadding="0" cellspacing="0" width="95%">
 		<tr>
@@ -38,7 +55,7 @@
 			</td>
 			<td id="buttons" width="95" align="center">
-				<button type="button" onClick="ccAddGroup.addUser()"><img src="../phpgwapi/templates/celepar/images/add.png" style="vertical-align: middle;" >&nbsp;{txt_add}</button>
+				<button type="button" onClick="ccAddGroup.addUser()"><img src="../phpgwapi/templates/default/images/add.png" style="vertical-align: middle;" >&nbsp;{txt_add}</button>
 				<br><br>
-				<button type="button" onClick="ccAddGroup.remUser()"><img src="../phpgwapi/templates/celepar/images/rem.png" style="vertical-align: middle;" >&nbsp;{txt_rem}</button> 
+				<button type="button" onClick="ccAddGroup.remUser()"><img src="../phpgwapi/templates/default/images/rem.png" style="vertical-align: middle;" >&nbsp;{txt_rem}</button>
 			</td>
 			<td  align="left">