Index: branches/2.2.0.1/mobile/templates/default/mails_list.tpl
===================================================================
--- branches/2.2.0.1/mobile/templates/default/mails_list.tpl	(revision 3791)
+++ branches/2.2.0.1/mobile/templates/default/mails_list.tpl	(revision 3974)
@@ -5,9 +5,9 @@
 
 			 <div class="{bg}">
-                    <div class="email-cabecalho margin-geral" >
+                    <div class="email-cabecalho margin-geral">
                          <p class="{flag}">
                          	<input type="checkbox" name="msgs[]" style="display:{show_check};" value={msg_number}>
                          	<a href="index.php?menuaction=mobile.ui_mobilemail.show_msg&msg_number={msg_number}&msg_folder={msg_folder}">
-                         	{subject}
+                         		{subject}
                          	</a>
                          </p>
@@ -15,6 +15,8 @@
                     <span class="email-data"><img src="{url_images}/anexo.png" align="left" style='display:{show_attach};'/>{mail_time}</span>
                     <div class="{details}">
-                         <p>{from}</p>
-                         <p>{mail_from}</p>
+                         <a href="index.php?menuaction=mobile.ui_mobilemail.show_msg&msg_number={msg_number}&msg_folder={msg_folder}">                    
+	                         <p>{from}</p>
+	                         <p>{mail_from}</p>
+                         </a>	                         
                      </div>
    			 </div>
Index: branches/2.2.0.1/mobile/templates/css/mobile.css
===================================================================
--- branches/2.2.0.1/mobile/templates/css/mobile.css	(revision 3731)
+++ branches/2.2.0.1/mobile/templates/css/mobile.css	(revision 3974)
@@ -116,6 +116,7 @@
 div.urgente {width:14px; height:12px; background:#F00; margin-left:5px; text-align:center; vertical-align:middle;color:#FFF; float:left;font-size:xx-small; padding-top:1px}
 
-.topo {width:100%; background:#333; display:table }
-.topo a{color:#FFF; text-decoration:underline; float:right; margin:4px 20px 0 0 }
+.topo { width:100%; background:#333; display:table }
+.topo a{ color:#FFF; text-decoration:underline; float:right; margin:4px 20px 0 0 }
+.topo h1{ font-size:13pt }
 
 .btn-generico, .btn-contexto, .btn-busca { text-transform: uppercase; }
@@ -130,5 +131,5 @@
 .menu-contexto {font-size:small; background-color:#3399CC; color:#FFFFFF; width:100%; min-height:18px; padding:4px 2px}
 .menu-contexto span{margin-left:5px }
-.btn-contexto {font-size:x-small; background-color:#2B84AF; color:#FFFFFF; border:none; margin-left:5px }
+.btn-contexto {font-weight:bold ;font-size:x-small; background-color:#2B84AF; color:#FFFFFF; border:1px solid #000; margin-left:5px }
 .menor {min-height:20px !important} 
 
@@ -161,5 +162,5 @@
 .sobre-mensagem {float:left;}
 
-#ver-detalhes {float:left;padding:2px; background-color:#FAD364; width:10%  } /*mudança*/
+#ver-detalhes {float:left;padding:2px; background-color:#FAD364; width:10%  } /*mudanï¿œa*/
 #ver-detalhes a {padding:3px;color:#666;font-size:x-small; width:20px}
 
@@ -180,6 +181,6 @@
 
 .login{width:50%; margin:auto; padding:10px 0}
-.login strong {margin:0 0 0 5px; }
-.login input[type="text"]{width:100%; margin:3px 0}
+.login strong { font-size:11pt; margin:0 0 0 5px; }
+.login input { font-size:11pt;width:100%; margin:3px 0}
 .login button {margin:0 5px}
 .login p{padding:3px;}
@@ -229,5 +230,5 @@
 a.outro_mes { background: #E1E1E1; color: #8B8B8B }
 
-/*---------------------------------------- CONTATO ÚNICO ---------------------------------------------*/
+/*---------------------------------------- CONTATO ï¿œNICO ---------------------------------------------*/
 
 .contato-unico {width:100%; margin:auto; }
@@ -266,7 +267,8 @@
 .limpar_div_margin {margin:2px 0; }
 .limpar_div_margin input[type="text"] {width:68%}
+.limpar_div textarea{font-size:11pt}
 p.assunto {font-size:small; font-weight:normal; padding-top:3px; color:#666}
 
-/*---------------------------------------- MODIFICAÇÕES ---------------------------------------------*/
+/*---------------------------------------- MODIFICAï¿œï¿œES ---------------------------------------------*/
 
 .email-item{color:#3E3E3D; font:bold small Arial, Helvetica, sans-serif; vertical-align:text-bottom}
@@ -275,4 +277,4 @@
 
 .campos-email {width:94%; clear:both; margin:0 5px}
-.campos-email input {width:99%; clear:both; }
+.campos-email input {font-size:11pt; width:99%; clear:both; }
 .campos-email a{float:left; text-align:right; margin:4px 0}